## kdenlive 20.08.2

=== debian/changelog ===
kdenlive (4:20.08.2-0ubuntu2) groovy; urgency=medium

  * Move knsrc config files to new default location as fixed in this
    release, and unregister from old location.

 -- Rik Mills <rikmills@kde.org>  Mon, 12 Oct 2020 08:15:26 +0100

kdenlive (4:20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream bugfix release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 14:46:31 +0100

kdenlive (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:52:15 +0100

kdenlive (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:45:56 +0100

kdenlive (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:36:35 +0100

kdenlive (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:13:56 +0100

kdenlive (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:34:45 +0100

kdenlive (4:20.04.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.0)
  * New build depend on qtquickcontrols2-5-dev

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Apr 2020 17:43:00 +0100

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.3.0
Build-Depends: cmake,
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               ffmpeg,
               libkf5archive-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5filemetadata-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5plotting-dev (>= 5.31.0~),
               libkf5purpose-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libmlt++-dev (>= 6.6.0),
               libmlt-dev (>= 6.6.0),
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.6.1~),
               librttr-dev,
               libv4l-dev,
               pkg-config,
               pkg-kde-tools,
               qtdeclarative5-dev (>= 5.6.1~),
               qtmultimedia5-dev,
               qtquickcontrols2-5-dev,
               qtscript5-dev (>= 5.6.1~),
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive

Package: kdenlive
Architecture: any
Depends: breeze-icon-theme,
         ffmpeg,
         kded5,
         kdenlive-data (= ${source:Version}),
         kinit,
         kio,
         melt,
         qml-module-qtquick-controls,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dvdauthor,
            dvgrab,
            frei0r-plugins,
            genisoimage,
            oxygen-icon-theme,
            recordmydesktop,
            swh-plugins,
Suggests: khelpcenter
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: kdenlive (<= 0.7.2.1), ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

Package: kdenlive-dbg
Section: debug
Architecture: any
Priority: optional
Depends: kdenlive (= ${binary:Version}), ${misc:Depends}
Description: non-linear video editor (debugging symbols)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the debugging symbols for kdenlive.

## kdenlive 20.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# An odd patch version number means development version, while an even one means
# stable release. An additional number can be used for bugfix-only releases.

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")

set(KDENLIVE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(Kdenlive VERSION ${KDENLIVE_VERSION})

if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif()
if(POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()

# To be switched on when releasing.
option(RELEASE_BUILD "Remove Git revision from program version" ON)
option(BUILD_TESTING "Build tests" ON)
option(BUILD_FUZZING "Build fuzzing target" OFF)

# Minimum versions of main dependencies.
set(MLT_MIN_MAJOR_VERSION 6)
set(MLT_MIN_MINOR_VERSION 20)
set(MLT_MIN_PATCH_VERSION 0)
set(MLT_MIN_VERSION ${MLT_MIN_MAJOR_VERSION}.${MLT_MIN_MINOR_VERSION}.${MLT_MIN_PATCH_VERSION})

# KDE Frameworks
find_package(ECM 5.45.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMInstallIcons)
include(GenerateExportHeader)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMOptionalAddSubdirectory)
include(ECMMarkNonGuiExecutable)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMEnableSanitizers)
add_definitions(-DTRANSLATION_DOMAIN=\"kdenlive\")
find_package(KF5 REQUIRED COMPONENTS Archive Bookmarks CoreAddons Config ConfigWidgets
                            DBusAddons KIO WidgetsAddons NotifyConfig NewStuff XmlGui Notifications GuiAddons TextWidgets IconThemes Declarative Solid
                 OPTIONAL_COMPONENTS DocTools FileMetaData Crash Purpose)

# Qt
set(QT_MIN_VERSION 5.11.0)
find_package(Qt5 REQUIRED COMPONENTS Core DBus Widgets Svg Quick QuickControls2 Concurrent QuickWidgets Multimedia)
add_definitions(-DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")

# MLT
find_package(MLT ${MLT_MIN_VERSION} REQUIRED)
set_package_properties(MLT PROPERTIES DESCRIPTION "Multimedia framework"
                URL "https://mltframework.org"
                PURPOSE "Required to do video processing")
message(STATUS "Found MLT++: ${MLTPP_LIBRARIES}")

# Windows
include(CheckIncludeFiles)
check_include_files(malloc.h HAVE_MALLOC_H)
check_include_files(pthread.h HAVE_PTHREAD_H)
if(WIN32)
    find_package(DrMinGW)
    set(MLT_PREFIX "..")
else()
    set(MLT_PREFIX ${MLT_ROOT_DIR})
    find_package(Qt5 OPTIONAL_COMPONENTS WebEngineWidgets QUIET)
endif()

if(KF5FileMetaData_FOUND)
  message(STATUS "Found KF5 FileMetadata to extract file metadata")
  set(KF5_FILEMETADATA TRUE)
else()
  message(STATUS "KF5 FileMetadata not found, file metadata will not be available")
endif()

if(KF5Purpose_FOUND)
  message(STATUS "Found KF5 Purpose, filesharing enabled")
  set(KF5_PURPOSE TRUE)
else()
  message(STATUS "KF5 Purpose not found, filesharing disabled")
endif()

if(KF5DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

# Get current version.
set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION}")
if(NOT RELEASE_BUILD AND EXISTS ${CMAKE_SOURCE_DIR}/.git)
  # Probably a Git workspace; determine the revision.
  find_package(Git QUIET)
  if(GIT_FOUND)
    exec_program(${GIT_EXECUTABLE} ${CMAKE_SOURCE_DIR}
	  ARGS "log -n 1 --pretty=format:\"%h\""
      OUTPUT_VARIABLE KDENLIVE_GIT_REVISION)
    message(STATUS "Kdenlive Git revision: ${KDENLIVE_GIT_REVISION}")
    set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION} (rev. ${KDENLIVE_GIT_REVISION})")
  else()
    message(STATUS "Kdenlive Git revision could not be determined")
  endif()
endif()

find_package(RTTR 0.9.6 QUIET)
if(NOT RTTR_FOUND)
  message(STATUS "RTTR not found on system, will download source and build it")
  include(rttr.CMakeLists.txt)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(FFMPEG_SUFFIX "" CACHE STRING "FFmpeg custom suffix")
configure_file(config-kdenlive.h.cmake config-kdenlive.h @ONLY)
set(CMAKE_POSITION_INDEPENDENT_CODE TRUE)

if(BUILD_FUZZING)
    set(ECM_ENABLE_SANITIZERS fuzzer;address)
endif()

# Sources
add_subdirectory(src)
add_subdirectory(renderer)
add_subdirectory(thumbnailer)
add_subdirectory(data)
ki18n_install(po)

include(GNUInstallDirs)
install(FILES AUTHORS COPYING README.md DESTINATION ${CMAKE_INSTALL_DOCDIR})

if (ECM_VERSION VERSION_LESS "5.59.0")
    install(FILES kdenlive.categories DESTINATION ${KDE_INSTALL_CONFDIR})
else()
    install(FILES kdenlive.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
endif()

# Tests
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()
if(BUILD_FUZZING AND ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang"))
    add_subdirectory(fuzzer)
endif()

=== data/CMakeLists.txt ===
add_subdirectory(effects)
add_subdirectory(generators)
add_subdirectory(transitions)
add_subdirectory(icons)
add_subdirectory(lumas)
add_subdirectory(man)
add_subdirectory(titles)
add_subdirectory(profiles)
add_subdirectory(shortcuts)

install(FILES
  banner.png
  encodingprofiles.rc
  externalproxies.rc
  meta_ffmpeg.png
  meta_libav.png
  meta_magiclantern.png
  timeline_athumbs.png
  timeline_avthumbs.png
  timeline_nothumbs.png
  timeline_vthumbs.png
  kdenliveeffectscategory.rc
  kdenlivetranscodingrc
  kdenlivedefaultlayouts.rc

  DESTINATION ${DATA_INSTALL_DIR}/kdenlive)
install(FILES  kdenlive.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})
if(KF5NewStuff_VERSION VERSION_GREATER "5.56.0")
  install(FILES kdenlive_renderprofiles.knsrc kdenlive_wipes.knsrc kdenlive_keyboardschemes.knsrc kdenlive_titles.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
else()
  install(FILES kdenlive_renderprofiles.knsrc kdenlive_wipes.knsrc kdenlive_keyboardschemes.knsrc kdenlive_titles.knsrc DESTINATION ${CONFIG_INSTALL_DIR})
endif()

install(FILES profiles.xml DESTINATION ${DATA_INSTALL_DIR}/kdenlive/export)
install(FILES org.kde.kdenlive.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES org.kde.kdenlive.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

find_package(SharedMimeInfo REQUIRED)
install(FILES org.kde.kdenlive.xml westley.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

=== fuzzer/CMakeLists.txt ===
include_directories(${MLT_INCLUDE_DIR})
kde_enable_exceptions()
add_executable(fuzz main_fuzzer.cpp fuzzing.cpp)
add_executable(fuzz_reproduce main_reproducer.cpp fuzzing.cpp)
target_link_libraries(fuzz kdenliveLib -fsanitize=fuzzer)
target_link_libraries(fuzz_reproduce kdenliveLib)
set_property(TARGET fuzz PROPERTY CXX_STANDARD 14)
set_property(TARGET fuzz_reproduce PROPERTY CXX_STANDARD 14)

=== renderer/CMakeLists.txt ===
set(QT_DONT_USE_QTGUI 1)
set(QT_USE_QTDBUS 1)

include_directories(
    ${MLT_INCLUDE_DIR}
    ${MLTPP_INCLUDE_DIR}
)

set(kdenlive_render_SRCS
  kdenlive_render.cpp
  renderjob.cpp
  ../src/lib/localeHandling.cpp
)

add_executable(kdenlive_render ${kdenlive_render_SRCS})
ecm_mark_nongui_executable(kdenlive_render)

target_link_libraries(kdenlive_render Qt5::Core Qt5::Widgets Qt5::DBus Qt5::Xml
    ${MLT_LIBRARIES}
    ${MLTPP_LIBRARIES})


install(TARGETS kdenlive_render DESTINATION ${BIN_INSTALL_DIR})

=== src/CMakeLists.txt ===
### Find packages files
find_package(LibV4L2)
set_package_properties(LibV4L2 PROPERTIES
    DESCRIPTION "video4linux support libraries"
    URL "https://linuxtv.org/downloads/v4l-utils/"
    TYPE RUNTIME
    PURPOSE "Required for better webcam support")

if(NOT WIN32)
    find_package(PkgConfig QUIET)
    execute_process(
        COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=mltdatadir mlt-framework
        OUTPUT_VARIABLE MLT_DATADIR
        RESULT_VARIABLE MLT_DATADIR_failed)
    if(NOT MLT_DATADIR_failed)
        string(REGEX REPLACE "[\r\n]" "" MLT_DATADIR "${MLT_DATADIR}")
    endif()

    execute_process(
        COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=meltbin mlt-framework
        OUTPUT_VARIABLE MLT_MELTBIN
        RESULT_VARIABLE MLT_MELTBIN_failed)
    if(NOT MLT_MELTBIN_failed)
        string(REGEX REPLACE "[\r\n]" "" MLT_MELTBIN "${MLT_MELTBIN}")
    endif()
else()
    set(MLT_MELTBIN "melt.exe")
    set(MLT_DATADIR "../share/mlt")
endif()
configure_file(mlt_config.h.in ${CMAKE_BINARY_DIR}/mlt_config.h)

check_include_files(linux/input.h HAVE_LINUX_INPUT_H)
if(HAVE_LINUX_INPUT_H)
    list(APPEND kdenlive_SRCS
        jogshuttle/jogmanager.cpp
        jogshuttle/jogaction.cpp
        jogshuttle/jogshuttle.cpp
        jogshuttle/jogshuttleconfig.cpp)
endif()

### Find source files
add_subdirectory(abstractmodel)
add_subdirectory(assets)
add_subdirectory(audiomixer)
add_subdirectory(bin)
add_subdirectory(capture)
add_subdirectory(dialogs)
add_subdirectory(doc)
add_subdirectory(dvdwizard)
add_subdirectory(effects)
add_subdirectory(effectslist)
add_subdirectory(jobs)
add_subdirectory(lib)
add_subdirectory(library)
add_subdirectory(mltcontroller)
add_subdirectory(monitor)
add_subdirectory(profiles)
add_subdirectory(project)
add_subdirectory(qml)
add_subdirectory(scopes)
add_subdirectory(simplekeyframes)
add_subdirectory(timeline2)
add_subdirectory(titler)
add_subdirectory(transitions)
add_subdirectory(utils)
add_subdirectory(widgets)
add_subdirectory(xml)
if(Qt5WebEngineWidgets_FOUND)
    add_subdirectory(qt-oauth-lib)
endif()
## top_SRCS
file(GLOB top_SRCS "*.cpp")
# string(REGEX REPLACE "${CMAKE_CURRENT_SOURCE_DIR}/lib/[^;]+;?" "" top_SRCS "${top_SRCS}")
list(REMOVE_ITEM top_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp)
list(APPEND kdenlive_SRCS ${top_SRCS})
## Others special cases
kconfig_add_kcfg_files(kdenlive_SRCS kdenlivesettings.kcfgc)
install(FILES kdenlivesettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
ecm_qt_declare_logging_category(kdenlive_SRCS HEADER kdenlive_debug.h IDENTIFIER KDENLIVE_LOG CATEGORY_NAME org.kde.multimedia.kdenlive)
qt5_add_dbus_adaptor(kdenlive_SRCS org.kdenlive.MainWindow.xml mainwindow.h MainWindow)
## UI's
file(GLOB kdenlive_UIS "ui/*.ui")
ki18n_wrap_ui(kdenlive_UIS ${kdenlive_UIS})
## MOC
qt5_wrap_cpp(kdenlive_MOC definitions.h)
set_property(SOURCE definitions.h PROPERTY SKIP_AUTOMOC ON)

add_library(kdenliveLib STATIC ${kdenlive_SRCS} ${kdenlive_UIS} ${kdenlive_MOC} lib/localeHandling.cpp lib/localeHandling.h)

qt5_add_resources(kdenlive_extra_SRCS icons.qrc ui/resources.qrc uiresources.qrc)
## Icon for Windows and OSX
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/icons/*-apps-kdenlive.png")
ecm_add_app_icon(kdenlive ICONS ${ICONS_SRCS}) # icon name = variable name
add_executable(kdenlive main.cpp ${kdenlive_extra_SRCS} ${kdenlive})
target_include_directories(kdenlive
    PRIVATE ${CMAKE_BINARY_DIR}
    )
target_include_directories(kdenlive
	SYSTEM PRIVATE ${MLT_INCLUDE_DIR} ${MLTPP_INCLUDE_DIR})
target_link_libraries(kdenlive kdenliveLib)
install(TARGETS kdenlive DESTINATION ${BIN_INSTALL_DIR})

install(FILES kdenliveui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kdenlive)


target_include_directories(kdenliveLib
    PRIVATE ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/external
    ${CMAKE_CURRENT_SOURCE_DIR}/lib
    )
target_include_directories(kdenliveLib
	SYSTEM  PRIVATE ${MLT_INCLUDE_DIR} ${MLTPP_INCLUDE_DIR})
# Adds Qt definitions and include directories, and sets QT_LIBRARIES according
# to the components requested in find_package().
# KDE definitions and include directories *must* always come first, Qt follows
# (to avoid breaking builds when KDE and/or Qt are installed to different
# prefixes).
target_link_libraries(kdenliveLib
    KF5::WidgetsAddons
    KF5::Archive
    KF5::CoreAddons
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::KIOWidgets
    KF5::NotifyConfig
    KF5::NewStuff
    KF5::DBusAddons
    KF5::XmlGui
    KF5::GuiAddons
    KF5::Notifications
    KF5::TextWidgets
    KF5::Declarative
    KF5::IconThemes
    KF5::Solid
    Qt5::Svg
    Qt5::Quick
    Qt5::QuickControls2
    Qt5::QuickWidgets
    Qt5::Concurrent
    Qt5::Multimedia
    ${OPENGL_LIBRARIES}
    ${OPENGLES_LIBRARIES}
    ${MLT_LIBRARIES}
    ${MLTPP_LIBRARIES}
    ${CMAKE_DL_LIBS}
    ${CMAKE_THREAD_LIBS_INIT}
    kiss_fft)
if(TARGET RTTR::Core)
     target_link_libraries(kdenliveLib RTTR::Core)
else()
     target_link_libraries(kdenliveLib RTTR::Core_Lib)
endif()

if(BUILD_COVERAGE)
  target_link_libraries(kdenliveLib gcov)
endif()
set_property(TARGET kdenliveLib PROPERTY CXX_STANDARD 14)
add_definitions(${qt5gui_definitions} -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY)

# Optional deps
if(DRMINGW_FOUND)
    target_compile_definitions(kdenlive PRIVATE -DUSE_DRMINGW)
    target_include_directories(kdenlive SYSTEM PRIVATE ${DRMINGW_INCLUDE_DIR})
    target_link_libraries(kdenlive ${DRMINGW_LIBRARY})
elseif(KF5Crash_FOUND)
    target_compile_definitions(kdenlive PRIVATE -DKF5_USE_CRASH)
    target_link_libraries(kdenlive KF5::Crash)
endif()

if(KF5_FILEMETADATA)
    target_compile_definitions(kdenliveLib PRIVATE -DKF5_USE_FILEMETADATA)
    target_link_libraries(kdenliveLib KF5::FileMetaData)
endif()

if(KF5_PURPOSE)
    target_compile_definitions(kdenliveLib PRIVATE -DKF5_USE_PURPOSE)
    target_link_libraries(kdenliveLib KF5::Purpose KF5::PurposeWidgets)
endif()

if(Qt5WebEngineWidgets_FOUND)
    message(STATUS "Found Qt5 WebEngineWidgets. You can use your Freesound.org credentials to download files")
    target_compile_definitions(kdenliveLib PRIVATE -DQT5_USE_WEBENGINE)
    target_link_libraries(kdenliveLib Qt5::WebEngineWidgets)
else()
    message(STATUS "Qt5 WebEngineWidgets not found. You cannot use your Freesound.org credentials, only preview files can be downloaded from the Online Resources Widget")
endif()

if(Q_WS_X11)
	target_include_directories(kdenliveLib SYSTEM PRIVATE ${X11_Xlib_INCLUDE_PATH})
    target_link_libraries(kdenliveLib ${X11_LIBRARIES})
endif()

if(SDL2_FOUND)
    target_link_libraries(kdenliveLib ${SDL2_LIBRARY})
elseif(SDL_FOUND)
    target_link_libraries(kdenliveLib ${SDL_LIBRARY})
endif()

if(LIBV4L2_FOUND)
    target_include_directories(kdenliveLib SYSTEM PRIVATE ${LIBV4L2_INCLUDE_DIR})
    target_link_libraries(kdenliveLib ${LIBV4L2_LIBRARY})
    target_compile_definitions(kdenliveLib PRIVATE -DUSE_V4L)
endif()

if(HAVE_LINUX_INPUT_H)
    target_compile_definitions(kdenliveLib PRIVATE -DUSE_JOGSHUTTLE)
    target_link_libraries(kdenliveLib media_ctrl)
endif()

=== tests/CMakeLists.txt ===
include_directories(${MLT_INCLUDE_DIR} ..)
kde_enable_exceptions()
add_executable(runTests
    TestMain.cpp
    abortutil.cpp
    compositiontest.cpp
    effectstest.cpp
    mixtest.cpp
    groupstest.cpp
    keyframetest.cpp
    markertest.cpp
    modeltest.cpp
    regressions.cpp
    snaptest.cpp
    test_utils.cpp
    timewarptest.cpp
    treetest.cpp
    trimmingtest.cpp
)
set_property(TARGET runTests PROPERTY CXX_STANDARD 14)
target_link_libraries(runTests kdenliveLib)
add_test(NAME runTests COMMAND ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/runTests -d yes)

=== thumbnailer/CMakeLists.txt ===
set(mltpreview_SRCS mltpreview.cpp ../src/lib/localeHandling.cpp)

include_directories(
  ${MLT_INCLUDE_DIR}
  ${MLTPP_INCLUDE_DIR}
)

add_library(mltpreview MODULE ${mltpreview_SRCS})


target_link_libraries(mltpreview
        Qt5::Core
        Qt5::Gui
        KF5::KIOCore
        KF5::KIOWidgets
  ${MLT_LIBRARIES}
  ${MLTPP_LIBRARIES}
)
#FIXME: For some reason the plugin only seems to work if installed in $lib/qt5/plugins and not in $lib/plugins like KF5 recommends
install(TARGETS mltpreview DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES mltpreview.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== data/effects/CMakeLists.txt ===
INSTALL (FILES 

audiobalance.xml
audiomap.xml
audiopan.xml
audiospectrum.xml
audiowave.xml
audiowaveform.xml
automask.xml
boxblur.xml
brightness.xml
channelcopy.xml
charcoal.xml
chroma_hold.xml
chroma.xml
crop.xml
dance.xml
dust.xml
dynamic_loudness.xml
dynamictext.xml
fade_from_black.xml
fade_to_black.xml
fadein.xml
fadeout.xml
freeze.xml
frei0r_alpha0ps.xml
frei0r_alphagrad.xml
frei0r_alphaspot.xml
frei0r_balanc0r.xml
frei0r_baltan.xml
frei0r_bezier_curves.xml
frei0r_bgsubtract0r.xml
frei0r_bigsh0t_eq_mask.xml
frei0r_bigsh0t_eq_to_rect.xml
frei0r_bigsh0t_hemi_to_eq.xml
frei0r_bigsh0t_rect_to_eq.xml
frei0r_bigsh0t_stabilize_360.xml
frei0r_bigsh0t_transform_360.xml
frei0r_brightness.xml
frei0r_c0rners.xml
frei0r_cairoimagegrid.xml
frei0r_cartoon.xml
frei0r_cluster.xml
frei0r_colgate.xml
frei0r_coloradj_rgb.xml
frei0r_colordistance.xml
frei0r_colorize.xml
frei0r_colortap.xml
frei0r_contrast0r.xml
frei0r_curves.xml
frei0r_d90stairsteppingfix.xml
frei0r_defish0r.xml
frei0r_delay0r.xml
frei0r_delaygrab.xml
frei0r_distort0r.xml
frei0r_dither.xml
frei0r_edgeglow.xml
frei0r_emboss.xml
frei0r_equaliz0r.xml
frei0r_facebl0r.xml
frei0r_facedetect.xml
frei0r_flippo.xml
frei0r_glow.xml
frei0r_hqdn3d.xml
frei0r_hueshift0r.xml
frei0r_iirblur.xml
frei0r_keyspillm0pup.xml
frei0r_lenscorrection.xml
frei0r_letterb0xed.xml
frei0r_levels.xml
frei0r_lightgraffiti.xml
frei0r_luminance.xml
frei0r_mask0mate.xml
frei0r_medians.xml
frei0r_nervous.xml
frei0r_nosync0r.xml
frei0r_pixeliz0r.xml
frei0r_pr0be.xml
frei0r_pr0file.xml
frei0r_primaries.xml
frei0r_rgbnoise.xml
frei0r_rgbparade.xml
frei0r_rgbsplit0r.xml
frei0r_saturat0r.xml
frei0r_scale0tilt.xml
frei0r_scanline0r.xml
frei0r_select0r.xml
frei0r_sharpness.xml
frei0r_sigmoidaltransfer.xml
frei0r_sobel.xml
frei0r_softglow.xml
frei0r_sopsat.xml
frei0r_squareblur.xml
frei0r_tehroxx0r.xml
frei0r_three_point_balance.xml
frei0r_threelay0r.xml
frei0r_threshold0r.xml
frei0r_timeout.xml
frei0r_tint0r.xml
frei0r_twolay0r.xml
frei0r_vectorscope.xml
frei0r_vertigo.xml
frei0r_vignette.xml
gain.xml
gamma.xml
grain.xml
greyscale.xml
invert.xml
lift_gamma_gain.xml
lightshow.xml
loudness.xml
luma.xml
mirror.xml
mono.xml
movit_blur.xml
movit_deconvolution_sharpen.xml
movit_diffusion.xml
movit_flip.xml
movit_glow.xml
movit_lift_gamma_gain.xml
movit_mirror.xml
movit_opacity.xml
movit_rect.xml
movit_saturation.xml
movit_unsharp_mask.xml
movit_vignette.xml
movit_white_balance.xml
mute.xml
normalise.xml
obscure.xml
oldfilm.xml
pan_zoom.xml
pillar_echo.xml
qtblend.xml
qtcrop.xml
region.xml
rotation_keyframable.xml
rotation.xml
rotoscoping.xml
scratchlines.xml
sepia.xml
shape.xml
sox_band.xml
sox_bass.xml
sox_echo.xml
sox_flanger.xml
sox_gain.xml
sox_phaser.xml
sox_stretch.xml
speed.xml
swapchannels.xml
tcolor.xml
threshold.xml
tracker.xml
typewriter.xml
vidstab.xml
vignette.xml
volume.xml
wave.xml

DESTINATION ${DATA_INSTALL_DIR}/kdenlive/effects)

add_subdirectory(update)
add_subdirectory(avfilter)

=== data/icons/CMakeLists.txt ===
ecm_install_icons(ICONS
  128-actions-kdenlive-select-all.png
  128-mimetypes-application-x-kdenlivetitle.png
  16-actions-kdenlive-add-clip.png
  16-actions-kdenlive-add-color-clip.png
  16-actions-kdenlive-add-slide-clip.png
  16-actions-kdenlive-add-text-clip.png
  16-actions-kdenlive-custom-effect.png
  16-actions-kdenlive-deleffect.png
  16-actions-kdenlive-down.png
  16-actions-kdenlive-hide-audio.png
  16-actions-kdenlive-hide-video.png
  16-actions-kdenlive-insert-edit.png
  16-actions-kdenlive-insert-rect.png
  16-actions-kdenlive-insert-unicode.png
  16-actions-kdenlive-lock.png
  16-actions-kdenlive-menu.png
  16-actions-kdenlive-normal-edit.png
  16-actions-kdenlive-object-height.png
  16-actions-kdenlive-object-width.png
  16-actions-kdenlive-overwrite-edit.png
  16-actions-kdenlive-select-all.png
  16-actions-kdenlive-select-images.png
  16-actions-kdenlive-select-rects.png
  16-actions-kdenlive-select-texts.png
  16-actions-kdenlive-select-tool.png
  16-actions-kdenlive-show-audio.png
  16-actions-kdenlive-show-audiothumb.png
  16-actions-kdenlive-show-markers.png
  16-actions-kdenlive-show-video.png
  16-actions-kdenlive-show-videothumb.png
  16-actions-kdenlive-snap.png
  16-actions-kdenlive-spacer-tool.png
  16-actions-kdenlive-split-audio.png
  16-actions-kdenlive-track_has_effect.png
  16-actions-kdenlive-unlock.png
  16-actions-kdenlive-unselect-all.png
  16-actions-kdenlive-up.png
  16-actions-kdenlive-zindex-up.png
  16-actions-kdenlive-zone-end.png
  16-actions-kdenlive-zone-start.png
  22-actions-kdenlive-select-all.png
  22-actions-kdenlive-spacer-tool.png
  32-actions-kdenlive-select-all.png
  32-mimetypes-application-x-kdenlivetitle.png
  48-actions-kdenlive-select-all.png
  64-actions-kdenlive-select-all.png
  16-apps-kdenlive.png
  22-apps-kdenlive.png
  32-apps-kdenlive.png
  48-apps-kdenlive.png
  64-apps-kdenlive.png
  128-apps-kdenlive.png
  256-apps-kdenlive.png
  sc-apps-kdenlive.svgz
  64-mimetypes-application-x-kdenlivetitle.png
  sc-actions-kdenlive-align-bottom.svgz
  sc-actions-kdenlive-align-hor.svgz
  sc-actions-kdenlive-align-left.svgz
  sc-actions-kdenlive-align-none.svgz
  sc-actions-kdenlive-align-right.svgz
  sc-actions-kdenlive-align-top.svgz
  sc-actions-kdenlive-align-vert.svgz
  sc-actions-kdenlive-hide-audio-effects.svg
  sc-actions-kdenlive-hide-video-effects.svg
  sc-actions-kdenlive-insert-rect.svgz
  sc-actions-kdenlive-insert-unicode.svgz
  sc-actions-kdenlive-object-height.svgz
  sc-actions-kdenlive-object-width.svgz
  sc-actions-kdenlive-select-all.svgz
  sc-actions-kdenlive-select-images.svgz
  sc-actions-kdenlive-select-rects.svgz
  sc-actions-kdenlive-select-texts.svgz
  sc-actions-kdenlive-select-tool.svgz
  sc-actions-kdenlive-show-all-effects.svg
  sc-actions-kdenlive-show-audio-effects.svg
  sc-actions-kdenlive-show-gpu-effects.svg
  sc-actions-kdenlive-show-video-effects.svg
  sc-actions-kdenlive-spacer-tool.svgz
  sc-actions-kdenlive-unselect-all.svgz
  sc-actions-kdenlive-zindex-bottom.svgz
  sc-actions-kdenlive-zindex-down.svgz
  sc-actions-kdenlive-zindex-top.svgz
  sc-actions-kdenlive-zindex-up.svgz
  sc-actions-kdenlive-zone-end.svgz
  sc-actions-kdenlive-zone-start.svgz
  sc-actions-kdenlive-zoom-large.svgz
  sc-actions-kdenlive-zoom-small.svgz
  sc-actions-kdenlive-add-subtitle.svg
  sc-mimetypes-application-x-kdenlive.svgz
  sc-mimetypes-application-x-kdenlivetitle.svgz
  sc-mimetypes-video-mlt-playlist.svgz
  DESTINATION ${ICON_INSTALL_DIR})

=== data/transitions/CMakeLists.txt ===
INSTALL (FILES 

frei0r_cairoblend.xml
frei0r_cairoaffineblend.xml
wipe.xml
qtblend.xml
dissolve.xml
affine.xml
slide.xml
region.xml
luma.xml
mix.xml
composite.xml

DESTINATION ${DATA_INSTALL_DIR}/kdenlive/transitions)

=== src/audiospectrum/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  audiospectrum/audiographspectrum.cpp
  PARENT_SCOPE)

=== src/bin/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  bin/abstractprojectitem.cpp
  bin/bin.cpp
  bin/bincommands.cpp
  bin/binplaylist.cpp
  bin/clipcreator.cpp
  bin/filewatcher.cpp
  bin/generators/generators.cpp
  bin/model/markerlistmodel.cpp
  bin/model/subtitlemodel.cpp
  bin/projectclip.cpp
  bin/projectfolder.cpp
  bin/projectitemmodel.cpp
  bin/projectsortproxymodel.cpp
  bin/projectsubclip.cpp
  bin/tagwidget.cpp
  PARENT_SCOPE
)

=== debian/changelog ===
kdenlive (20.12.3-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 12 Mar 2021 10:18:46 +0100

kdenlive (20.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 05 Feb 2021 10:22:43 +0100

kdenlive (20.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Recommend breeze.
    Closes: #977888
  * Remove unused lintian override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 11 Jan 2021 10:33:24 +0100

kdenlive (20.12.0-2) unstable; urgency=medium

  * Enable and install user documentation. Thanks to Pino Toscano.
    Closes: #977365
  * Apply patch from Pino Toscano to drop old conffiles.
    Closes: #977366

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 14 Dec 2020 13:31:39 +0100

kdenlive (20.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 14 Dec 2020 11:29:34 +0100

kdenlive (20.08.3-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1.
  * Overwrite lintian warning file-references-package-build-path. Patches are
    welcome!

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:57:20 +0100

kdenlive (20.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 10 Nov 2020 09:29:55 +0100

kdenlive (20.08.2-1) unstable; urgency=medium

  * New upstream release.
    - etc/xdg has been removed.
    - Add new knsrcfiles directory.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 09 Oct 2020 15:14:04 +0200

kdenlive (20.08.1-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 04 Sep 2020 09:32:57 +0200

kdenlive (20.08.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop merged patch 01-spelling-error.
  * Suggest vlc and xine-ui for the DVD preview feature.
    Closes: #965042

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 25 Aug 2020 09:35:31 +0200

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.5.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 pkg-config,
 cmake,
 pkg-kde-tools,
 libmlt-dev (>= 6.18.0),
 libmlt++-dev (>= 6.18.0),
 librttr-dev,
 ffmpeg,
 libqt5opengl5-dev,
 extra-cmake-modules (>= 5.59~),
 qtscript5-dev,
 qtmultimedia5-dev,
 qtquickcontrols2-5-dev,
 libqt5svg5-dev,
 libqt5webkit5-dev,
 libkf5kio-dev,
 libv4l-dev,
 libkf5archive-dev,
 libkf5bookmarks-dev,
 libkf5config-dev,
 libkf5configwidgets-dev,
 libkf5coreaddons-dev,
 libkf5dbusaddons-dev,
 libkf5doctools-dev,
 libkf5guiaddons-dev,
 libkf5iconthemes-dev,
 libkf5newstuff-dev,
 libkf5filemetadata-dev,
 libkf5purpose-dev,
 libkf5declarative-dev,
 libkf5crash-dev,
 libkf5notifications-dev,
 libkf5notifyconfig-dev,
 libkf5plotting-dev,
 libkf5textwidgets-dev,
 libkf5widgetsaddons-dev,
 qtdeclarative5-dev,
 libkf5xmlgui-dev

Package: kdenlive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 kdenlive-data (= ${source:Version}),
 qml-module-qtquick2,
 qml-module-qtquick-controls,
 qml-module-qtgraphicaleffects,
 qml-module-qtqml-models2,
 qml-module-qtquick-controls2,
 qml-module-qtquick-dialogs,
 qml-module-qtquick-layouts,
 qml-module-qtquick-window2,
 kinit,
 kded5,
 kio,
 melt,
 gstreamer1.0-plugins-bad,
 ffmpeg
Recommends: swh-plugins,
 breeze,
 oxygen-icon-theme,
 dvgrab,
 frei0r-plugins,
 recordmydesktop,
 dvdauthor,
 genisoimage
Suggests: khelpcenter,
 vlc | xine-ui
Breaks: kdenlive-data (<< 19.12.2-2~)
Replaces: kdenlive-data (<< 19.12.2-2~)
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: ${kde-l10n:all}, kdenlive (<= 0.7.2.1)
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	EXTRAFLAGS := -DNO_JOGSHUTTLE=YES
endif

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- $(EXTRAFLAGS)

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/kdenlive-data/usr/share/doc/Kdenlive/

override_dh_auto_test:

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## kdenlive 21.04.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -54,6 +54,7 @@
 add_subdirectory(library)
 add_subdirectory(mltcontroller)
 add_subdirectory(monitor)
+add_subdirectory(onlineresources)
 add_subdirectory(profiles)
 add_subdirectory(project)
 add_subdirectory(qml)
@@ -65,11 +66,11 @@
 add_subdirectory(utils)
 add_subdirectory(widgets)
 add_subdirectory(xml)
-if(Qt5WebEngineWidgets_FOUND)
-    add_subdirectory(qt-oauth-lib)
-endif()
 ## top_SRCS
 file(GLOB top_SRCS "*.cpp")
+if(NOT CRASH_AUTO_TEST)
+    list(REMOVE_ITEM top_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/logger.cpp)
+endif()
 # string(REGEX REPLACE "${CMAKE_CURRENT_SOURCE_DIR}/lib/[^;]+;?" "" top_SRCS "${top_SRCS}")
 list(REMOVE_ITEM top_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp)
 list(APPEND kdenlive_SRCS ${top_SRCS})
@@ -87,7 +88,7 @@
 
 add_library(kdenliveLib STATIC ${kdenlive_SRCS} ${kdenlive_UIS} ${kdenlive_MOC} lib/localeHandling.cpp lib/localeHandling.h)
 
-qt5_add_resources(kdenlive_extra_SRCS icons.qrc ui/resources.qrc uiresources.qrc)
+qt5_add_resources(kdenlive_extra_SRCS icons.qrc uiresources.qrc)
 ## Icon for Windows and OSX
 file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/icons/*-apps-kdenlive.png")
 ecm_add_app_icon(kdenlive ICONS ${ICONS_SRCS}) # icon name = variable name
@@ -139,6 +140,7 @@
     Qt5::QuickWidgets
     Qt5::Concurrent
     Qt5::Multimedia
+    Qt5::NetworkAuth
     ${OPENGL_LIBRARIES}
     ${OPENGLES_LIBRARIES}
     ${MLT_LIBRARIES}
@@ -146,12 +148,6 @@
     ${CMAKE_DL_LIBS}
     ${CMAKE_THREAD_LIBS_INIT}
     kiss_fft)
-if(TARGET RTTR::Core)
-     target_link_libraries(kdenliveLib RTTR::Core)
-else()
-     target_link_libraries(kdenliveLib RTTR::Core_Lib)
-endif()
-
 if(BUILD_COVERAGE)
   target_link_libraries(kdenliveLib gcov)
 endif()
@@ -159,6 +155,15 @@
 add_definitions(${qt5gui_definitions} -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY)
 
 # Optional deps
+if(CRASH_AUTO_TEST)
+    target_compile_definitions(kdenliveLib PRIVATE CRASH_AUTO_TEST)
+    if(TARGET RTTR::Core)
+        target_link_libraries(kdenliveLib RTTR::Core)
+    else()
+        target_link_libraries(kdenliveLib RTTR::Core_Lib)
+    endif()
+endif()
+
 if(DRMINGW_FOUND)
     target_compile_definitions(kdenlive PRIVATE -DUSE_DRMINGW)
     target_include_directories(kdenlive SYSTEM PRIVATE ${DRMINGW_INCLUDE_DIR})
@@ -178,14 +183,6 @@
     target_link_libraries(kdenliveLib KF5::Purpose KF5::PurposeWidgets)
 endif()
 
-if(Qt5WebEngineWidgets_FOUND)
-    message(STATUS "Found Qt5 WebEngineWidgets. You can use your Freesound.org credentials to download files")
-    target_compile_definitions(kdenliveLib PRIVATE -DQT5_USE_WEBENGINE)
-    target_link_libraries(kdenliveLib Qt5::WebEngineWidgets)
-else()
-    message(STATUS "Qt5 WebEngineWidgets not found. You cannot use your Freesound.org credentials, only preview files can be downloaded from the Online Resources Widget")
-endif()
-
 if(Q_WS_X11)
 	target_include_directories(kdenliveLib SYSTEM PRIVATE ${X11_Xlib_INCLUDE_PATH})
     target_link_libraries(kdenliveLib ${X11_LIBRARIES})

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-include_directories(${MLT_INCLUDE_DIR} ..)
+include_directories(${MLT_INCLUDE_DIR} ${MLTPP_INCLUDE_DIR} ..)
 kde_enable_exceptions()
 add_executable(runTests
     TestMain.cpp

=== data/man/CMakeLists.txt ===
install(FILES kdenlive.1 kdenlive_render.1 DESTINATION ${MAN_INSTALL_DIR}/man1 )

=== data/resourceproviders/CMakeLists.txt ===
INSTALL (FILES

archiveorg.json
freesound.json
pexels_photo.json
pexels_video.json
pixabay_photo.json

DESTINATION ${DATA_INSTALL_DIR}/kdenlive/resourceproviders)

=== src/dialogs/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  dialogs/clipcreationdialog.cpp
  dialogs/encodingprofilesdialog.cpp
  dialogs/kdenlivesettingsdialog.cpp
  dialogs/markerdialog.cpp
  dialogs/profilesdialog.cpp
  dialogs/renderwidget.cpp
  dialogs/speechdialog.cpp
  dialogs/subtitleedit.cpp
  dialogs/textbasededit.cpp
  dialogs/titletemplatedialog.cpp
  dialogs/wizard.cpp
  dialogs/splash.cpp
  PARENT_SCOPE)

=== src/transitions/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  transitions/transitionsrepository.cpp
  transitions/transitionlist/view/transitionlistwidget.cpp
  transitions/transitionlist/model/transitiontreemodel.cpp
  transitions/transitionlist/model/transitionfilter.cpp
  transitions/view/transitionparameterview.cpp
  transitions/view/transitionstackview.cpp
  transitions/view/mixstackview.cpp
  PARENT_SCOPE)

=== packaging/appimage/3rdparty/ext_ass/CMakeLists.txt ===
ExternalProject_Add(
  ext_libass
  DOWNLOAD_DIR ${EXT_DOWNLOAD_DIR}
  GIT_REPOSITORY https://github.com/libass/libass.git

  CONFIGURE_COMMAND <SOURCE_DIR>/autogen.sh && <SOURCE_DIR>/configure --prefix=${EXT_INSTALL_DIR} ${AT_HOST} ${AT_SHARED_ONLY}
  BUILD_IN_SOURCE 1
  BUILD_ALWAYS TRUE
  BUILD_COMMAND $(MAKE) clean
  COMMAND $(MAKE)
  INSTALL_COMMAND $(MAKE) install
)

=== packaging/appimage/3rdparty/ext_fribidi/CMakeLists.txt ===
ExternalProject_Add(
  ext_fribidi
  DOWNLOAD_DIR ${EXT_DOWNLOAD_DIR}
  URL https://github.com/fribidi/fribidi/releases/download/v1.0.10/fribidi-1.0.10.tar.xz
  URL_MD5 97c87da9930e8e70fbfc8e2bcd031554

  CONFIGURE_COMMAND <SOURCE_DIR>/autogen.sh && <SOURCE_DIR>/configure --prefix=${EXT_INSTALL_DIR} ${AT_HOST} ${AT_SHARED_ONLY}
  BUILD_IN_SOURCE 1
  BUILD_ALWAYS TRUE
  BUILD_COMMAND $(MAKE) clean
  COMMAND $(MAKE)
  INSTALL_COMMAND $(MAKE) install
)

=== packaging/appimage/3rdparty/ext_icu/CMakeLists.txt ===
ExternalProject_Add(
  ext_icu
  DOWNLOAD_DIR ${EXT_DOWNLOAD_DIR}
  URL https://github.com/unicode-org/icu/archive/release-64-2.tar.gz
  URL_MD5 b52fcb73e71545c6528beadc755e45e7
  CONFIGURE_COMMAND cd <SOURCE_DIR>/icu4c/source &&
                       ./configure --prefix ${EXT_INSTALL_DIR}/local
                                   --enable-tests=no
                                   --enable-samples=no
                                   --with-data-packaging=library
                                   --disable-renaming
  BUILD_COMMAND cd <SOURCE_DIR>/icu4c/source && $(MAKE)
  INSTALL_COMMAND cd <SOURCE_DIR>/icu4c/source && $(MAKE) install
  UPDATE_COMMAND ""
  BUILD_IN_SOURCE 1
  ALWAYS 0
)

=== packaging/appimage/3rdparty/ext_mlt/CMakeLists.txt ===
ExternalProject_Add(
  ext_mlt
  DOWNLOAD_DIR ${EXT_DOWNLOAD_DIR}
  GIT_REPOSITORY https://github.com/mltframework/mlt.git
  GIT_TAG v6

  CONFIGURE_COMMAND <SOURCE_DIR>/configure --prefix=${EXT_INSTALL_DIR} ${AT_HOST} ${AT_SHARED_ONLY} --enable-gpl --enable-gpl3 --enable-opencv --enable-opengl --enable-lumas --avformat-swscale
  BUILD_IN_SOURCE 1
  BUILD_ALWAYS TRUE
  BUILD_COMMAND $(MAKE) clean
  COMMAND $(MAKE)
  INSTALL_COMMAND $(MAKE) install
)

=== packaging/appimage/3rdparty/ext_ogg/CMakeLists.txt ===
ExternalProject_Add(
  ext_ogg
  DOWNLOAD_DIR ${EXT_DOWNLOAD_DIR}
  URL https://downloads.xiph.org/releases/ogg/libogg-1.3.4.tar.gz
  URL_HASH SHA256=fe5670640bd49e828d64d2879c31cb4dde9758681bb664f9bdbf159a01b0c76e

  CONFIGURE_COMMAND <SOURCE_DIR>/configure --prefix=${EXT_INSTALL_DIR} ${AT_HOST} ${AT_SHARED_ONLY}
  BUILD_IN_SOURCE 1
  BUILD_ALWAYS TRUE
  BUILD_COMMAND $(MAKE) clean
  COMMAND $(MAKE)
  INSTALL_COMMAND $(MAKE) install
)

=== debian/changelog ===
kdenlive (4:21.04.3-2ubuntu1) impish; urgency=medium

  * Sync debian changes.

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Aug 2021 18:39:22 +0100

kdenlive (4:21.04.3-0ubuntu2) impish; urgency=medium

  * Build with BUILD_TESTING=OFF until tests are fixed with new
    glibc 2.34

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Aug 2021 15:51:31 +0100

kdenlive (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:42:10 +0100

kdenlive (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:38:43 +0100

kdenlive (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:05:20 +0100

kdenlive (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)
  * Update build depends from cmake.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:34:01 +0100

kdenlive (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:18:46 +0000

kdenlive (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:53:00 +0000

kdenlive (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)
  * Sync debian changes.

 -- Rik Mills <rikmills@kde.org>  Wed, 13 Jan 2021 19:50:43 +0000

kdenlive (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Build with optional QtWebEngine on supported architectures.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:26:01 +0000

kdenlive (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:50:32 +0000

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.5.1
Rules-Requires-Root: no
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.59~),
               ffmpeg,
               libkf5archive-dev,
               libkf5bookmarks-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5declarative-dev,
               libkf5doctools-dev,
               libkf5filemetadata-dev,
               libkf5guiaddons-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5plotting-dev,
               libkf5purpose-dev,
               libkf5textwidgets-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libmlt++-dev (>= 6.26.1),
               libmlt-dev (>= 6.26.1),
               libqt5networkauth5-dev,
               libqt5opengl5-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libv4l-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtmultimedia5-dev,
               qtquickcontrols2-5-dev,
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive

Package: kdenlive
Architecture: any
Depends: breeze,
         breeze-icon-theme (>= 4:5.83.0),
         ffmpeg,
         gstreamer1.0-plugins-bad,
         kded5,
         kdenlive-data (= ${source:Version}),
         kinit,
         kio,
         melt,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dvdauthor,
            dvgrab,
            frei0r-plugins,
            genisoimage,
            oxygen-icon-theme,
            recordmydesktop,
            swh-plugins,
Suggests: khelpcenter, vlc | xine-ui
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.
